## org.apache.batik.apps.svgbrowser
Class NodeTemplates.NodeTemplateDescriptor

    java.lang.Object
      org.apache.batik.apps.svgbrowser.NodeTemplates.NodeTemplateDescriptor

Enclosing class:
  NodeTemplates

    public static class NodeTemplates.NodeTemplateDescriptor

extends java.lang.Object

Wrapper for a node template. Provides the information on the node

Constructor Summary
`NodeTemplates.NodeTemplateDescriptor(java.lang.String name, java.lang.String xmlValue, short type, java.lang.String category, java.lang.String description)` Constructor.

Method Summary
`java.lang.String` `getCategory()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`short` `getType()`
`java.lang.String` `getXmlValue()`
`void` `setCategory(java.lang.String category)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setType(short type)`
`void` `setXmlValue(java.lang.String xmlValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeTemplates.NodeTemplateDescriptor

    public NodeTemplates.NodeTemplateDescriptor(java.lang.String name,
                                                java.lang.String xmlValue,
                                                short type,
                                                java.lang.String category,
                                                java.lang.String description)

  Constructor.

Method Detail

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String category)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public short getType()

### setType

    public void setType(short type)

### getXmlValue

    public java.lang.String getXmlValue()

### setXmlValue

    public void setXmlValue(java.lang.String xmlValue)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.